Почему я получаю сообщение «Невозможно найти ошибки пакета при попытке установить пакеты через apt-get в Kali Linux 2020.4»?

У меня есть виртуальная машина с Kali Linux 2020.4. У меня проблемы с установкой пакетов через apt-get

Когда я запускаю следующее:

sudo apt-get install gnome-do

Я получаю такую ​​ошибку:

E: Unable to locate package gnome-do

Вот как выглядит мой sources.list:
sources.list

Я попытался обновить свой source.list в соответствии с результатами поиска Google по этой проблеме. Если я чего-то не упускаю, sources.list мне кажется правильным …. Я выполнил обновление и перезагрузил виртуальную машину; все та же проблема.

Я тоже пробовал установить “бомж”, но все та же ошибка.

Есть ли здесь шаг, который мне не хватает?

Спасибо, JohnB

2 ответа
2

Посмотри пожалуйста Гном-до (Wiki)

GNOME Do (часто называемый Do) – это бесплатная программа запуска приложений с открытым исходным кодом для Linux, первоначально созданная Дэвидом Сигелом,1
и в настоящее время поддерживается Алексом Лауни. Как и другие средства запуска приложений, он позволяет искать приложения и файлы, но также позволяет указывать действия, которые нужно выполнять с результатами поиска. GNOME Do позволяет быстро находить различные артефакты среды GNOME (приложения, контакты Evolution и Pidgin, закладки Firefox, исполнители и альбомы Rhythmbox и т. Д.) И выполнять с ними основные действия (запуск, открытие, электронная почта, чат, воспроизведение, так далее.).[2]

Хотя он разработан в первую очередь для рабочего стола GNOME, он работает и в других средах рабочего стола, таких как KDE.

Вы удалили Xfce и установили среду рабочего стола Gnome?

Также, если вам нужны инструменты Gnome в целом, подумайте об использовании Ubuntu (или варианта) вместо Kali. Это, вероятно, будет работать намного лучше.

Простые автономные приложения Gnome от Installlion, как правило, работают нормально, но если вам нужна полная среда Gnome, попробуйте Linux на основе Gnome.

    гномик был удален из Kali Linux с 2018 года. Единственные варианты: сборка из исходного кода, добавление пакетов из ванильного Debian (как правило, плохая идея) или использование другого дистрибутива, разработанного для обычных пользователей, например Ubuntu (что рекомендуется для начинающих Linux) в любом случае).

      Добавить комментарий

      Ваш адрес email не будет опубликован. Обязательные поля помечены *